Download it now!
Bug 81639 - FORMATTING: Frame style position is not assignable to paragraph area
Summary: FORMATTING: Frame style position is not assignable to paragraph area
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Styles-Frame
  Show dependency treegraph
 
Reported: 2014-07-22 09:46 UTC by Martin Koeditz
Modified: 2020-06-06 03:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Options dialog for frame styling without "paragraph area" (german) (29.75 KB, image/png)
2014-07-22 09:46 UTC, Martin Koeditz
Details
The options dialog how it should be (german) (30.05 KB, image/png)
2014-07-22 09:48 UTC, Martin Koeditz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koeditz 2014-07-22 09:46:01 UTC
Created attachment 103270 [details]
Options dialog for frame styling without "paragraph area" (german)

Problem description:
There is no chance to assign a new frame style to a paragraph area.  

Steps to reproduce:
1. Open stylist with frame styles
2. Right click on free space in stylist
3. Choose "New..."
4. Type in name "Bild"
5. Choose the tab "type" -> no option "paragraph area".
6. Click "OK".
7. Insert an image.
8. Select the image.
9. Assign the new style via double click.

Current behavior:
No chance to choose the option "paragraph area" in type tab. On assignment the image is anchored at the page, not at the paragraph.

Expected behavior:
I have the chance to choose the option "paragraph area" in type tab. On assignment the image is anchored at the paragraph.

Workaround:
If I do a right click on an existing style and choose "New...", everything goes fine. I have the option to choose "paragraph area" in the dialog.
              
Operating System: Windows 7
Version: 4.2.5.2 release
Comment 1 Martin Koeditz 2014-07-22 09:48:49 UTC
Created attachment 103271 [details]
The options dialog how it should be (german)

New style based on an existing frame style.
Comment 2 Jean-Baptiste Faure 2014-07-22 10:43:14 UTC
When creating the new frame style, I have the options paragraph area. If I choose them for horizontal and vertical placement, then I still have them if I come back to modify the frame style.

Tested on Version: 4.2.7.0.0+ Build ID: f5949d09321e3ac62538df0e70e58284bd1cab32 build at home under Ubuntu 14.04 x86-64

Best regards. JBF
Comment 3 Martin Koeditz 2014-07-22 10:52:47 UTC
Have you added the new style on base of an exisiting one? Or did you right click on a free space in stylist (no selection on existing styles)?

I've tried it on OpenSuse 13.1 with LibreOffice 4.2.4.2 and have the same issue as I described above.

Regards
Martin
Comment 4 Jean-Baptiste Faure 2014-07-22 11:05:53 UTC
(In reply to comment #3)
> Have you added the new style on base of an exisiting one? Or did you right
> click on a free space in stylist (no selection on existing styles)?
> 
Yes, but then you have to choose to which category you want to link your new style. If you do not do that, you have the behavior that you reported but it is useless from my point of view.

Best regards. JBF
Comment 5 Martin Koeditz 2014-07-22 11:09:26 UTC
When I link to the category manually, I still have the same problem. So I don't think it is useless. Maybe I am doing something different from your workflow?

Regards
Martin
Comment 6 Jean-Baptiste Faure 2014-07-22 12:19:27 UTC
And does it work if, instead of right-clicking in an empty area in the stylist window, you right-click on an existing style to derive a new one from it?

Best regards. JBF
Comment 7 Martin Koeditz 2014-07-22 12:21:19 UTC
Yes, this way it is working as I described in my workaround. So I don't see the difference between the automatic derived style and the manual assignment.

Regards
Martin
Comment 8 Buovjaga 2014-11-05 08:56:22 UTC
Confirmed.
It is kind of strange that we would not be able to build styles from the ground up with all the options.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: b7d8a58ff2698ffc6e22943f64aa97c5ea253bd9
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-05_00:40:38
Comment 9 QA Administrators 2015-12-20 16:14:58 UTC Comment hidden (obsolete)
Comment 10 Zenaan Harkness 2016-08-29 12:36:13 UTC
Can verify this behaviour is the same in LO5.3.0.alpha. Does seem a bit odd.

"Inconsistent UI/UX"?
Comment 11 QA Administrators 2018-06-06 02:45:55 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2020-06-06 03:51:13 UTC
Dear Martin Koeditz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug